Incompatible Changes

Incompatible Changes in Java Agent 5.9.1

No incompatible changes were introduced in this release.

Incompatible Changes in Java Agent 5.9

The following changes introduced in this release can impact your migration from Java Agent 5.8:

Advice Format for Session Upgrade

During session upgrade when both Enable SSO Token Acceptance and Enable Custom Login Mode are true, the composite advice has the new format: ?authIndexType=composite_advice&authIndexValue=<Advices Value>.

When either property is false, the composite advice is unchanged from the previous format: ?composite_advice=<Advices Value>

AM 5.x.x End-of-Service-Life

AM 5.x.x has reached End-of-Service-Life (EOSL), and no is longer supported.